-- Tempdb Files sizes
-- Use Default instance
-- Returns what trace flags are enabled, looking for 1117 and 1118

/****************************************************************************************************/
		PRINT '========================================================================================================================='
		PRINT ''
		PRINT ''
		PRINT 'Returns the trace flags that are enabled'
		PRINT ' '

		SET NOCOUNT ON
		PRINT 'Trace Flag Status is below.  If no records, then there are not any trace flags enabled'
		PRINT ' '
		DBCC TRACESTATUS(-1);  

		PRINT ' '

SELECT 
		name
		, file_id
		, type_desc
		, size * 8 / 1024 'Size'  --Size is number of 8K pages
FROM sys.master_files
WHERE DB_NAME(database_id) = 'tempdb'
ORDER BY type_desc DESC, file_id 
GO
