SELECT        z.ORDER_NUM, z.CONFIRMATION_NUM, z.Acct_ID, z.SO_CRDATE, z.Val_Req_Serv_DT, z.Planned_DT, z.SO_PO, z.SO_COMP_DATE, z.SERVICE_TYPE, z.First_Service_Date, z.SO_Status, 
                         z.Resch_Cancel_Reas, z.ON_OFF, z.PROI_SHIPTO_NUM
FROM            (SELECT        d.ORDER_NUM, d.CONFIRMATION_NUM, d.SO_COMP_DATE, d.Acct_ID, d.SO_CRDATE, d.Val_Req_Serv_DT, d.Planned_DT, d.SO_PO, MIN(d.SERVICE_TYPE) AS SERVICE_TYPE, 
MIN(d.First_Service_Date) AS First_Service_Date, d.SO_Status, d.Resch_Cancel_Reas, d.ON_OFF, d.PROI_SHIPTO_NUM
FROM            (SELECT        acct.ID AS Acct_ID, PROI._0CRM_OBJ_ID AS ORDER_NUM, b.CONFIRMATION_NUM, (CASE WHEN ISDATE(Substring(PROI.[_0CRM_CRD_AT], 1, 10)) = 1 THEN CONVERT(VARCHAR(30), 
 Substring(PROI.[_0CRM_CRD_AT], 1, 10), 101) END) AS SO_CRDATE, (CASE WHEN ISDATE(Substring(PROI.[ZVRQ_ST3D], 1, 10)) = 1 THEN CONVERT(VARCHAR(30), 
      Substring(PROI.[ZVRQ_ST3D], 1, 10), 101) END) AS Val_Req_Serv_DT, (CASE WHEN ISDATE(Substring(PROI.[ZSF_FRP3D], 1, 10)) = 1 THEN CONVERT(VARCHAR(30), 
 Substring(PROI.[ZSF_FRP3D], 1, 10), 101) END) AS Planned_DT, PROI.ZPO_NUM AS SO_PO, (CASE WHEN ISDATE(Substring(b.SO_COMP_DATE, 1, 10)) = 1 THEN CONVERT(VARCHAR(30), 
 Substring(b.SO_COMP_DATE, 1, 10), 101) END) AS SO_COMP_DATE, lkpST.TXTSH AS SERVICE_TYPE, (CASE WHEN ISDATE(Substring(e.First_Service_Date, 1, 10)) 
 = 1 THEN CONVERT(VARCHAR(30), Substring(e.First_Service_Date, 1, 10), 101) END) AS First_Service_Date, lkpSOT.TXTMD AS SO_Status, lkpCR.TXTMD AS Resch_Cancel_Reas, 
lkpOnOff.On_Off AS ON_OFF, PROI._0CRM_SHIPTO AS PROI_SHIPTO_NUM FROM            dbo.[0CRM_PROI] AS PROI LEFT OUTER JOIN (SELECT        CNFI.ZSRV_ORD AS ORDER_NUM, CNFI.ZSVC_FR3D AS SO_COMP_DATE, CNFI._0CRM_OBJ_ID AS CONFIRMATION_NUM, CNFI._0MATERIAL AS PRODUCT_ID, 
 CNFI.ZSTUSRCFI AS CONFIM_STATUS, CNFI._0NETVALORD AS NETVALORD, CNFI.ZENVSRCH, CNFI.ZVAL_ERF, CNFI.ZVAL_ZRL, CNFI.ZVAL_ERS, CNFI.ZVAL_SRV, CNFI._0NETVALORD AS CONF_NET_VALUE, CNFI._0BP_RESPPER AS CONF_ALT_SALES_REP, CNFI.ZSR_ALT AS CONF_PRIMARY_SALES_REP, 
CNFI.ZVRQ_ST3D AS CONF_REQ_START_DT, CNFI.ZSVC_FR3D AS CONF_SERV_REND_DATE, CNFI._0CRMORDQTYV AS QTY_BILLED, CNFI._0PRICE_LIST AS PRICE_LIST,
CNFI._0NETVALORD AS NET_VALUE, CNFI._0CRM_ITMTYP AS ITEM_CATEGORY, CNFI._0CRM_PRGRUP FROM            dbo.[0CRM_CNFI] AS CNFI LEFT OUTER JOIN
 dbo.Confirmations_Latest AS lt ON CNFI.ZSRV_ORD = lt.Order_Num AND CNFI._0CRM_OBJ_ID = lt.CONFIRMATION_NUM) AS b ON PROI._0CRM_OBJ_ID = b.ORDER_NUM LEFT OUTER JOIN
  (SELECT        MAT_KONDM, LANGU, TXTSH FROM            dbo.LKP_SERVICE_TYPE
  WHERE        (LANGU = 'E')) AS lkpST ON PROI._0CRM_PRGRUP = lkpST.MAT_KONDM 
LEFT OUTER JOIN (SELECT        SERVICE_TYPE, ZSRV_ORD, First_Service_Date FROM dbo.Ord_First_Service_Date AS d) AS e ON PROI._0CRM_OBJ_ID = e.ZSRV_ORD LEFT OUTER JOIN
(SELECT        [/BIC/ZSTUSZORD], LANGU, TXTMD FROM            dbo.LKP_SERVICE_ORDER_STATUS WHERE        (LANGU = 'E')) AS lkpSOT ON PROI.ZSTUSZORD = lkpSOT.[/BIC/ZSTUSZORD] LEFT OUTER JOIN (SELECT        CAT_TYPE, CAT_GROUP, CAT_CODE, LANGU, TXTMD
         FROM            dbo.LKP_RE_CANCEL_REAS WHERE        (LANGU = 'E')) AS lkpCR ON PROI.ZCTYP_ES1 = lkpCR.CAT_TYPE AND PROI.ZCDGR_ES1 = lkpCR.CAT_GROUP AND PROI.ZCODE_ES1 = lkpCR.CAT_CODE LEFT OUTER JOIN
(SELECT        Order_Num, (CASE WHEN len(a.On_Off) > 9 THEN 'Onsite and Offsite - See Service Item List' ELSE a.On_Off END) AS On_Off FROM            dbo.Orders_On_Off_Prep AS a) AS lkpOnOff ON PROI._0CRM_OBJ_ID = lkpOnOff.Order_Num INNER JOIN
 dbo.SF_ACCOUNT AS acct ON acct.CUSTOMERNUMBER__C = SUBSTRING(PROI._0CRM_SHIPTO, PATINDEX('%[^0]%', PROI._0CRM_SHIPTO + '.'), LEN(PROI._0CRM_SHIPTO))) 
   AS d LEFT OUTER JOIN dbo.Orders_Sync_Data AS e ON d.ORDER_NUM = e.ORDER_NUN WHERE        (e.ORDER_NUM IS NULL) AND (d.SERVICE_TYPE <> 'Recycling')
GROUP BY d.Acct_ID, d.CONFIRMATION_NUM, d.ORDER_NUM, d.SO_COMP_DATE, d.SO_CRDATE, d.Val_Req_Serv_DT, d.Planned_DT
, d.SO_PO, d.SO_Status, d.Resch_Cancel_Reas, d.ON_OFF, 
 d.PROI_SHIPTO_NUM) AS z LEFT OUTER JOIN(SELECT        ZSRV_ORD AS ORDER_NUM FROM dbo.[0CRM_CNFI] AS CNFI WHERE        (_0CRM_PRGRUP = '05')) AS grup ON z.ORDER_NUM = grup.ORDER_NUM
WHERE        (grup.ORDER_NUM IS NULL)