
	--Just to make sure is off from previous demos
	    SET STATISTICS IO OFF
	--Single File
		USE Master
		GO

		--Declare Variables
		DECLARE @timestamp DATETIME
		DECLARE @backup VARCHAR(100)
		DECLARE @dbname VARCHAR(50)

		--Set Variables and build backup string
		--We use Getdate() with the timestamp because if the job runs more than once a day, there will not be any filename conflicts at the OS level
		SET @timestamp = GETDATE()
		SET @dbname = 'AdventureWorks2014'
		SET @backup = 'C:\Backups\' + @dbname + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(30),@timestamp, 20), '-', ''), ':', ''), ' ','') + '.Bak'

		--Perform Backup
		BACKUP DATABASE @dbname
		TO DISK = @backup


	--Multiple Files

 		Use Master
		GO

		--Declare Variables
		DECLARE @timestamp DATETIME
		DECLARE @backup1   VARCHAR(100)
		DECLARE @backup2   VARCHAR(100)
		DECLARE @backup3   VARCHAR(100)
		DECLARE @backup4   VARCHAR(100)
		DECLARE @backup5   VARCHAR(100)
		DECLARE @dbname    VARCHAR(50)

		--Set Variables and build backup string
		--We use Getdate() with the timestamp because if the job runs more than once a day, there will not be any filename conflicts at the OS level
		SET @timestamp = GETDATE()
		SET @dbname = 'AdventureWorks2014'
		SET @backup1 = 'C:\Backups\' + @dbname + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(30),@timestamp, 20), '-', ''), ':', ''), ' ','') + 'File1.Bak'
		SET @backup2 = 'C:\Backups\' + @dbname + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(30),@timestamp, 20), '-', ''), ':', ''), ' ','') + 'File2.Bak'
		SET @backup3 = 'C:\Backups\' + @dbname + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(30),@timestamp, 20), '-', ''), ':', ''), ' ','') + 'File3.Bak'
		SET @backup4 = 'C:\Backups\' + @dbname + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(30),@timestamp, 20), '-', ''), ':', ''), ' ','') + 'File4.Bak'
		SET @backup5 = 'C:\Backups\' + @dbname + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(30),@timestamp, 20), '-', ''), ':', ''), ' ','') + 'File5.Bak'
		--Perform Backup
		BACKUP DATABASE @dbname
		TO DISK = @backup1,
		   DISK = @backup2,
		   DISK = @backup3,
		   DISK = @backup4,
		   DISK = @backup5