--Used to create and populate the test table
--Use 2017

drop table if exists flgp; 
create table flgp (
       type int,
       name nvarchar(200),
       index ncci nonclustered columnstore (type),
       index ix_type(type)
);

insert into flgp(type, name)
values (1, 'Single')

insert into flgp(type, name)
select TOP 999999 2 as type, o.name
from sys.objects, sys.all_columns o


--Turn on Forced parameterization

ALTER DATABASE adventureworks2014 SET PARAMETERIZATION FORCED
GO
dbcc freeproccache
--Purge query store data

USE [WideWorldImporters]


SELECT name, is_parameterization_forced 
FROM sys.databases


ALTER DATABASE SCOPED CONFIGURATION CLEAR PROCEDURE_CACHE;
--EXECUTE sp_executesql @stmt = N'SELECT type FROM flgp WHERE type = @type', @params = N'@type int', @type = 1
SELECT type FROM flgp WHERE type = 1

ALTER DATABASE SCOPED CONFIGURATION CLEAR PROCEDURE_CACHE;
--EXECUTE sp_executesql @stmt = N'SELECT type FROM flgp WHERE type = @type', @params = N'@type int', @type = 2

SELECT type FROM flgp WHERE type = 2
--Purge query store data

ALTER DATABASE adventureworks2014 SET PARAMETERIZATION SIMPLE
GO
