SELECT * FROM AdventureWorks2014.Sales.CreditCard WHERE CreditCardID = 11

dbcc freeproccache

SELECT * FROM AdventureWorks2014.Sales.CreditCard WHERE ModifiedDate Between '01/01/2012' and '01/31/2012'
SELECT * FROM AdventureWorks2014.Sales.CreditCard WHERE ModifiedDate Between '01/01/2010' and '12/31/2012'

 SELECT 
    cp.objtype AS PlanType,
    cp.refcounts AS ReferenceCounts,
    cp.usecounts AS UseCounts,
    st. text AS SQLBatch,
    cp.plan_handle
  FROM sys.dm_exec_cached_plans AS cp
  CROSS APPLY sys.dm_exec_query_plan (cp.plan_handle) AS qp
  CROSS APPLY sys.dm_exec_sql_text (cp.plan_handle) AS st;