ALTER DATABASE Adventureworks2014 SET READ_COMMITTED_SNAPSHOT OFF;
GO

--Open SQL Check
	
		USE AdventureWorks2014

		BEGIN TRAN
		UPDATE Person.Person SET Suffix = 'B' 
		WHERE BusinessEntityID < 20

		--Make sure to rollback

		ROLLBACK

		--Run in another session
		USE AdventureWorks2014

		--Notice Suffix is all "B"
		SELECT * 
		FROM Person.Person  
		WHERE BusinessEntityID < 20
