SELECT w.session_id,
       w.wait_duration_ms,
       w.wait_type,
       DB_NAME(e.database_id) AS DatabaseName
FROM sys.dm_os_waiting_tasks w
INNER JOIN sys.dm_exec_sessions e
	ON w.session_id = e.session_id
INNER JOIN  sys.dm_exec_requests r 
	ON r.session_id = e.session_id
WHERE w.session_id > 50
ORDER BY w.session_id
