--Drop the index - if exist
--Run
--Recreate index
--Use Tracked Queries in AdventureWorks2014 database
--Query 68 in Tracked Queries
USE AdventureWorks2014

SELECT [ProductID]
	, name
	, productnumber
FROM production.Product1
WHERE productid = 1

--Create the index
USE [AdventureWorks2014]

GO

CREATE CLUSTERED INDEX QueryStoreDemo ON [Production].[Product1]
(
	[ProductID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)

GO

