USE [DataEncryption]
GO

/****** Object:  Table [dbo].[TestEncryptionPassCert]    Script Date: 7/9/2018 9:12:22 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[TestEncryptionDataType](
	[Name] [varchar](256) NULL,
	[CreditCardNumber] [varchar](16) NULL,
	[EncryptedCreditCardNumber] varchar(2000) NULL
) ON [PRIMARY] 
GO

INSERT INTO [TestEncryptionDataType] ([Name], [CreditCardNumber])
SELECT 'Simon Jones', '9876123456782378'
UNION ALL
SELECT 'Kim Brian', '1234567898765432'
GO

CREATE CERTIFICATE MyCertificateDataType

   WITH SUBJECT = 'Demo Cert', 
   EXPIRY_DATE = '10/31/2050'
GO

UPDATE [dbo].[TestEncryptionDataType]
SET [EncryptedCreditCardNumber] = ENCRYPTBYCERT(CERT_ID('MyCertificateDataType'), CreditCardNumber)
GO


SET STATISTICS TIME  ON
SELECT Name,CONVERT([varchar](16), 
            DECRYPTBYCERT(CERT_ID('MyCertificateDataType')
           ,EncryptedCreditCardNumber)) AS [CreditCardNumber]
FROM [dbo].[TestEncryptionDataType]
GO

SET STATISTICS TIME  ON
SELECT Name, CreditCardNumber, [EncryptedCreditCardNumber]
FROM [dbo].[TestEncryptionPassCert]
GO

