SELECT event_data = convert(xml, event_data) 
INTO #eeTable 
 FROM sys.fn_xe_file_target_read_file(N'c:\temp\longrunning*.xel', null, null, null); 


SELECT * FROM #eeTable

SELECT 
  ts		= event_data.value(N'(event/@timestamp)[1]', N'datetime'),
  [sql]		= event_data.value(N'(event/action[@name="sql_text"]/value)[1]', N'nvarchar(max)'),
  duration  = event_data.value(N'(event/data[@name="duration"]/value)[1]', N'nvarchar(max)'),
  spid		= event_data.value(N'(event/action[@name="session_id"]/value)[1]', N'int'),
  user_nm	= event_data.value(N'(event/action[@name="username"]/value)[1]', N'nvarchar(max)'),
  dbname	= event_data.value(N'(event/action[@name="database_name"]/value)[1]', N'nvarchar(max)'),
  username	= event_data.value(N'(event/action[@name="nt_username"]/value)[1]', N'nvarchar(max)'),
  statement = event_data.value(N'(event/data[@name="statement"]/value)[1]', N'nvarchar(max)')
FROM #eeTable
ORDER BY ts

DROP TABLE #eeTable