CREATE EVENT SESSION [LongRunningQuery] ON SERVER 
ADD EVENT sqlserver.sql_statement_completed(
    ACTION(sqlserver.sql_text,sqlserver.tsql_stack)
    WHERE ([package0].[greater_than_int64]([duration],(120000))))
ADD TARGET package0.event_file(SET filename=N'D:\ExtendedEvents\LongRunningQueries.xel',max_file_size=(20))
WITH (MAX_MEMORY=4096 KB,EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS,MAX_DISPATCH_LATENCY=30 SECONDS,MAX_EVENT_SIZE=0 KB,MEMORY_PARTITION_MODE=NONE,TRACK_CAUSALITY=OFF,STARTUP_STATE=ON)
GO


