SELECT TOP 10  total_worker_time/execution_count AS [Avg CPU Time],  
Plan_handle, qs.creation_time ,
qs.last_execution_time
, qs.last_elapsed_time
, qs.execution_count, query_plan 
, qs.*  
FROM sys.dm_exec_query_stats AS qs  
CROSS APPLY sys.dm_exec_query_plan(qs.plan_handle)  
ORDER BY total_worker_time/execution_count DESC;  
GO 